package com.dsk.cscec.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import lombok.Data;

import java.util.Date;

/**
 * 供应商准入情况
 *
 * @author
 * @since 2023-12-15
 */
@Data
@ExcelIgnoreUnannotated
public class CustomerApproveVo {

    /**
     * 客商主键
     */
    private Long customerKey;
    /**
     * 供应商编号
     */
    private String customerCode;
    /**
     * 供应商名称
     */
    private String customerName;
    /**
     * 注册资金
     */
    private Double registerCapital;
    /**
     * 统一社会信用代码
     */
    private String unifySocialCode;
    /**
     * 工商注册号
     */
    private String registerNo;
    /**
     * 组织机构代码号
     */
    private String orgnizationCode;
    /**
     * 税务登记号
     */
    private String businessLicense;
    /**
     * 身份信息选择
     */
    private String cardType;
    /**
     * 身份证号
     */
    private String idCard;
    /**
     * 纳税人身份
     */
    private String paytaxType;
    /**
     * 纳税人税率
     */
    private String taxRate;
    /**
     * 法人代表
     */
    private String representative;
    /**
     * 联系人
     */
    private String contactPerson;
    /**
     * 联系电话
     */
    private String contactPhone;
    /**
     * 业主性质
     */
    private String ownerKind;
    /**
     * 企业性质
     */
    private String customerProperty;
    /**
     * 资质等级
     */
    private String credential;
    /**
     * 施工承包范围
     */
    private String constructJobScope;
    /**
     * 专业类别id
     */
    private String groupSpecialtyId;
    /**
     * 集团专业类别
     */
    private String groupSpecialty;
    /**
     * 城市id
     */
    private String registerCityId;
    /**
     * 注册地区域
     */
    private String registerRegion;
    /**
     * 省份
     */
    private String registerProvince;
    /**
     * 城市
     */
    private String registerCity;
    /**
     * 企业注册地
     */
    private String registerAddress;
    /**
     * 开户行
     */
    private String openBank;
    /**
     * 银行账号
     */
    private String bankAccount;

    /**
     * 主营业务
     */
    private String primaryBusiness;
    /**
     * 税号
     */
    private String taxNumber;

    //证书信息
    /**
     * 营业执照到期时间1
     */
    private Date expireDate1;
    /**
     * 组织机构代码证到期时间2
     */
    private Date expireDate2;
    /**
     * 税务登记证到期时间3
     */
    private Date expireDate3;
    /**
     * 资质证书到期时间4
     */
    private Date expireDate4;
    /**
     * 安全生产许可证到期时间5
     */
    private Date expireDate5;
    /**
     * 施工队长资格证到期时间6
     */
    private String expireDate6;
    /**
     * 授权委托书到期时间7
     */
    private String expireDate7;
    //审批意见
    /**
     * 是否同意准入/准入情况
     */
    private String isagree;
    /**
     * 经办人
     */
    private String responsiblePerson;
    /**
     * 经办人签字时间
     */
    private Date approveDate1;
    /**
     * 商务经理
     */
    private String businessManager;
    /**
     * 商务经理签字时间
     */
    private Date approveDate3;
    /**
     * 项目经理
     */
    private String projectManager;
    /**
     * 项目经理签字时间
     */
    private Date approveDate4;
    /**
     * 采购部门负责人/公司意见
     */
    private String purchasePrincipal;
    /**
     * 准入时间
     */
    private Date approveDate2;
}

