package com.dsk.cscec.domain.vo;

import com.dsk.cscec.domain.AdvisoryBody;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author sxk
 * @date 2023.12.11
 * @time 14:01
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class ProjectSearchVo {
    /**
     * 项目主键
     */
    private Long projectKey;

    /**
     * 项目ID
     */
    private String projectId;

    /**
     * 项目名称
     */
    private String projectName;

    /**
     * 项目编码
     */
    private String projectCode;

    /**
     * 省市
     */
    private String provinceName;

    /**
     * 项目承接类型
     */
    private String isinvestproject;

    /**
     * 工程基础大类
     */
    private String projectType1;

    /**
     * 工程类别明细
     */
    private String projectType;

    /**
     * 合同金额
     */
    private BigDecimal contractOrigValue;

    /**
     * 业主单位
     */
    private String ownerName;

    /**
     * 项目承接单位
     */
    private String contractOrgName;

    /**
     * 咨询机构(咨询机构表)
     */
    private AdvisoryBody advisoryBody;

    /**
     * 创建时间(合同生效日期)
     */
    private Date contractSignDate;
}
